Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Class AFPBorderPainter

    java.lang.Object
      org.apache.fop.afp.AbstractAFPPainter
          org.apache.fop.afp.AFPBorderPainter

    public class AFPBorderPainter

extends AbstractAFPPainter

Handles the drawing of borders/lines in AFP

Field Summary

Fields inherited from class org.apache.fop.afp.AbstractAFPPainter
`dataStream, log, paintingState`

Constructor Summary
`AFPBorderPainter(AFPPaintingState paintingState, DataStream dataStream)` Main constructor

Method Summary
`void` | `paint(PaintingInfo paintInfo)` Paints the painting item

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPBorderPainter

    public AFPBorderPainter(AFPPaintingState paintingState,
                            DataStream dataStream)

  Main constructor

  Parameters:
    `paintingState` - the AFP painting state converter
    `dataStream` - the AFP datastream

Method Detail

### paint

    public void paint(PaintingInfo paintInfo)

  Paints the painting item

  Specified by:
    `paint` in class `AbstractAFPPainter`
  Parameters:
    `paintInfo` - the painting information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.